CVE-2003-0388

NameCVE-2003-0388
Descriptionpam_wheel in Linux-PAM 0.78, with the trust option enabled and the use_uid option disabled, allows local users to spoof log entries and gain privileges by causing getlogin() to return a spoofed user name.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
pam (PTS)jessie1.1.8-3.1+deb8u2fixed
stretch1.1.8-3.6fixed
bullseye, sid, buster1.3.1-5fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
pamsource(unstable)(not affected)

Notes

- pam <not-affected> (pam is not vulnerable at all in sarge, according to maintainer)
From the libc documentation:
"The user cannot do anything to fool these functions."
This means that this is not a bug in getlogin.

Search for package or bug name: Reporting problems